Bug 425460 - ical Calendar resource cannot be created
Summary: ical Calendar resource cannot be created
Status: CONFIRMED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: ICal file resource (show other bugs)
Version: 5.15.2
Platform: unspecified Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-17 14:08 UTC by Philipp Schmidt
Modified: 2022-08-12 09:30 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
ics with single event on aug. 17, 14:00 UTC+2 (509 bytes, text/calendar)
2020-08-17 14:08 UTC, Philipp Schmidt
Details
kdepim-runtime patch (683 bytes, patch)
2020-11-24 11:16 UTC, Markus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Schmidt 2020-08-17 14:08:14 UTC
Created attachment 130934 [details]
ics with single event on aug. 17, 14:00 UTC+2

SUMMARY
ical Calendar resource cannot be created from various sources, including file:/ and https:/.

STEPS TO REPRODUCE
1. create minimal ical file and save it to disk (e.g. the attached testevent.ics)
2. Use Akonadi Console or KOrganizer to add a ical resource
3. select the prepared ics file and save

OBSERVED RESULT
Resource is created but events do not show up (details below)

EXPECTED RESULT
Events should show

SOFTWARE/OS VERSIONS
KDE Applications: 20.08
KDE Plasma Version: 5.19.4
KDE Frameworks Version: 5.73.0
Qt Version: 5.15

ADDITIONAL INFORMATION
Apparently the file (or url in case of https) can't be loaded ('No file selected'). Output from terminal after activating ical debugging and issuing "akonadictl restart":

org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f7f98087750) )
org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f7f98087750) identified as "AgentBaseChangeRecorder - 94152844984432"
"No file selected."
kf.kio.widgets.kdirmodel: protocol mismatch: "" vs "file"
qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 2602, resource id: 14883497, major code: 40 (TranslateCoords), minor code: 0
"No file selected."
Comment 1 Philipp Schmidt 2020-08-17 14:13:07 UTC
I also just verified this with the current Neon User Edition in a VM. Same behaviour as under my main system.
Comment 2 Markus 2020-09-30 15:44:30 UTC
When I check a new ics calendar in "Akonadi Console":
In "Agents":
Under "Configure->Configure Remotely...", the config does not match with what was configured in the add-dialog. (e.g. DisplayName and Path is empty.)
Also checking in the "DB Browser" ind "collectiontable":
The resource does not have a remoteId and the name is still the "akonadi_ical_resource_#".

Is it the same for you, too?
Comment 3 Philipp Schmidt 2020-09-30 17:56:51 UTC
(In reply to Markus from comment #2)

Yes, it's as you said, doesn't match.
Comment 4 Markus 2020-10-10 13:44:12 UTC
ICalConfig seems to correctly save the data, but ICalResource does not load it.
Adding "mSettings->load();" to SingleFileResource::readFile seems to work. (Although I doubt its a clean solution.)
Comment 5 MAG4 2020-10-28 10:35:52 UTC
We can confirm it for 5.15.2 in Debian Testing.
As a workaround we found that in Akonadi Console - Agents you have to synchronize your iCal resource until in Akonadi Console - Browser the collection is duplicated. The duplicate now shows your items and saves your changes ...
Comment 6 Markus 2020-11-24 11:16:27 UTC
Created attachment 133604 [details]
kdepim-runtime patch

Missed to add the patch mentioned in comment#4.
Comment 7 flinux 2021-01-18 21:20:19 UTC
(In reply to Markus from comment #6)
> Created attachment 133604 [details]
> kdepim-runtime patch
> 
> Missed to add the patch mentioned in comment#4.

Would it possible to work with the devs upstream? maybe it's the solution for it :)
Comment 8 Søren Holm 2021-01-28 08:21:11 UTC
Additionally the resource name is not correct either.